<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a> /
      <a routerLink="/make">Make</a>/Deleted Make
    </mat-chip>
  </mat-chip-list>
</div>


<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>MAKE</span>
      <div style="flex-grow:1;"></div>
      <a routerLink="/make" style="font-size: 16px;padding: 5px;">Make</a>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">RECOVER</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="make_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="make_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Make </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.make_name}} </mat-cell>
      </ng-container>

    
      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.make_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <ng-container matColumnDef="action">
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
            [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS($event.checked,row.make_id,posts.length)"
                          [checked]="sel">
            </mat-checkbox>
          </mat-cell>
        </ng-container>
      <mat-header-row *matHeaderRowDef="['make_id', 'make_name','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['make_id', 'make_name','action']"></mat-row>

    </mat-table>

    <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
    </mat-paginator>
  </div>
</div>
